/*
Scrivere un programma che prende in ingresso un prezzo in euro e restituisce il numero minimo di banconote utilizzando solo pezzi da 50, 20 e 5 euro. Indicare anche la moneta rimanente

Note: Usare l'operazione modulo "%" che calcola il resto di una divisione intera
*/

#include<stdio.h>

int main()
{
	// Dichiarazione multipla variabili dello stesso tipo
    int rimanente, n50, n20, n5;
    float prezzo, cent;



	// Prende in input il prezzo
	printf("Inserisci il prezzo: ");
	scanf("%f",&prezzo);

	/*Calcoliamo ed eleimiamo subito la parte frazionaria del prezzo (i centesimi)
        Esempio: prezzo=547.5 €*/

	// Elimino la parte frazionaria (rimanente <-- 547)
	rimanente = (int) prezzo;
	// Memorizzo la parta frazionaria (i centesimi) per dopo (cent <-- 0.5
	cent = prezzo - rimanente;

	/*
	Calcoliamo il numero di banconote per taglio...
	Il valore delle divisioni è decimale, ma le variabili sono di tipo INT, per cui il valore che verra’ effettivamente assegnato alla variabile
	Sara’ la parte intera
	*/

	// Numero di banconote da 50 (decimale): 10.94
	n50 = rimanente / 50;
	// Resto della divisione intera: 47
	rimanente = rimanente % 50;
	// Numero di banconote da 20 (decimale): 2.35
	n20 = rimanente / 20;
	// Resto: 7
	rimanente = rimanente % 20;
	// Numero di banconote da 5: 1.4
	n5 = rimanente / 5;
	// Resto finale: 2
	rimanente = rimanente % 5;
	// Stampa dei risultati
	printf("Banconote da 50: \t%d\n",n50);
	printf("Banconote da 20: \t%d\n",n20);
	printf("Banconote da 5 : \t%d\n",n5);
	printf("Resto: \t%f\n", rimanente+cent);
}
